### Java template
target/

# virtual machine crash logs, see http://www.java.com/en/download/help/error_hotspot.xml
hs_err_pid*

### JetBrains template
*.iml
# User-specific stuff:
/.idea/misc.xml
.idea/tasks.xml
.idea/workspace.xml

# Sensitive or high-churn files:
.idea/dataSources/
.idea/dataSources.ids
.idea/dataSources.xml
.idea/dataSources.local.xml
.idea/sqlDataSources.xml
.idea/dynamic.xml
.idea/uiDesigner.xml

# Gradle:
.idea/gradle.xml
.idea/libraries/

## File-based project format:
*.iws

# IntelliJ
/out/

# JIRA plugin
atlassian-ide-plugin.xml


### Eclipse template
.project
.classpath
.metadata
bin/
tmp/
*.tmp
*.bak
*.swp
.settings/

# External tool builders
.externalToolBuilders/

# Locally stored "Eclipse launch configurations"
*.launch

# Python
*.pyc

# Editor detritus
*.vim
*.swp
tags
.vscode
